# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'giteaucrat/version'

Gem::Specification.new do |spec|
  spec.name = 'giteaucrat'
  spec.version = Giteaucrat::VERSION
  spec.authors = ['Alex Semyonov']
  spec.email = %w[alex@semyonov.us]
  spec.description = 'Automatically update copyright messages using git'
  spec.summary = 'The Git bureaucrat'
  spec.homepage = 'https://gitlab.com/alsemyonov/giteaucrat'
  spec.license = 'MIT'

  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.files = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  spec.require_paths = %w[lib]
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})

  spec.add_dependency 'grit'
  spec.add_dependency 'thor'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rubocop', '~> 0.48'
  spec.add_development_dependency 'yard', '~> 0.9'
  spec.add_development_dependency 'rspec', '~> 3.5'
end
